Bug Hunting Session
Bug 89709 - TOOLTIP: Page number tooltip doesnt appear in document with a single page
Summary: TOOLTIP: Page number tooltip doesnt appear in document with a single page
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: Other All
: medium normal
Assignee: Jim Raykowski
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks: Tooltip
  Show dependency treegraph
 
Reported: 2015-02-27 08:11 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-06-25 07:31 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-02-27 08:11:28 UTC
Steps:
1) Open Writer
2) Hover mouse over page number in statusbar and none will appear
3) Start typing some words and the tooltip still wont appear
4) Press ctrl+enter for page break and then the tooltip will appear

The tooltip was introduced in 4.4 in bug 82708.

Version: 4.5.0.0.alpha0+
Build ID: 4cf69df2f543b023f4ec3d4279c5ac11a2a819d9
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2015-02-21_03:46:34
Comment 1 Roman Kuznetsov 2015-02-27 09:34:40 UTC
Версия: 4.4.2.0.0+
ID build: 6fe2cd8bde3a3cb7a22885962ea62a4fd8a7ee9f
TinderBox: Win-x86@51-TDF, Branch:libreoffice-4-4, Time: 2015-02-19_22:50:31
Locale: ru_RU
OS: Windows 7 Home Basic x86

confirm this bug
Comment 2 A (Andy) 2015-04-04 21:34:10 UTC
@Jay: I tried to reproduce it with LO 4.4.1.2 (Win 8.1), but I also do not have a tooltip after inserting a page break.  Was there any difference in 4.4.1.2, that you know or am I doing something wrong?
Comment 3 Yousuf Philips (jay) (retired) 2015-04-06 00:08:53 UTC
@Andy: Still see it with 4.4 daily.

Version: 4.4.3.0.0+
Build ID: 3eba5eb1774ab621a1f0f4dcc7e82cce6c025b0a
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:libreoffice-4-4, Time: 2015-03-27_10:16:19

Also noticed that if you open a document with multiple pages, the tooltip wont show until a new page is created in the document.
Comment 4 tommy27 2016-04-16 07:25:10 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-05-22 13:26:38 UTC Comment hidden (obsolete)
Comment 6 Jim Raykowski 2019-05-22 03:00:36 UTC
Here is a patch for this -
https://gerrit.libreoffice.org/#/c/72715/
Comment 7 Commit Notification 2019-06-24 21:52:41 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/8cd1c1efb46cd98a597e3b6fbb6e3340048498ed%5E%21

tdf#89709 Make statusbar page number/bookmarks control tool tip show

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.